import { jsx } from "react/jsx-runtime";
import { SpeakerHifi as SpeakerHifi$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SpeakerHifi = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "SpeakerHifi", ...props, children: /* @__PURE__ */ jsx(SpeakerHifi$1, { weight: variant }) });
  }
);
SpeakerHifi.displayName = "SpeakerHifi";
Object.assign(SpeakerHifi, { isGdsIcon: true });
export {
  SpeakerHifi
};
